summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/58-create-tails-website-CA-bundle
diff options
context:
space:
mode:
Diffstat (limited to 'config/chroot_local-hooks/58-create-tails-website-CA-bundle')
-rwxr-xr-xconfig/chroot_local-hooks/58-create-tails-website-CA-bundle12
1 files changed, 12 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/58-create-tails-website-CA-bundle b/config/chroot_local-hooks/58-create-tails-website-CA-bundle
new file mode 100755
index 0000000..900630f
--- /dev/null
+++ b/config/chroot_local-hooks/58-create-tails-website-CA-bundle
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+echo "Creating CA bundle for authenticating https://tails.boum.org/"
+
+BUNDLE=/usr/local/etc/ssl/certs/tails.boum.org-CA.pem
+
+cat /etc/ssl/certs/AddTrust_External_Root.pem \
+ > "$BUNDLE"
+
+chmod a+r "$BUNDLE"